import "reflect-metadata";
import { TGetter } from '../metadata/method.meta';
import { ZodTypeAny } from 'zod';
import { API } from 'lambda-api';
export declare function bindControllerRoutes(api: API, controllers: Function[]): void;
export declare function createParamDecorator<TData>(getter: TGetter): {
    (): Function;
    (data: TData): Function;
    (validator: ZodTypeAny): Function;
    (data: TData, validator: ZodTypeAny): Function;
};
