import { Request as TReq } from 'lambda-api';
export declare const Request: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Req: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Response: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Res: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Header: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Body: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Query: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Param: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export declare const Logger: {
    (): Function;
    (data: string): Function;
    (validator: import("zod").ZodTypeAny): Function;
    (data: string, validator: import("zod").ZodTypeAny): Function;
};
export type Logger = TReq['log'];
