import { TMockLambdaOpts } from './lambda';
import { APIGatewayProxyHandlerV2 } from 'aws-lambda';
export declare function MockGateway(handlerFn: APIGatewayProxyHandlerV2, opts?: TMockLambdaOpts): {
    listen: (host?: string, port?: number) => Promise<unknown>;
    stop: () => Promise<unknown>;
    terminate: (value: number | Error) => Promise<void>;
};
