/// <reference types="node" />
import { IncomingMessage, ServerResponse } from 'http';
import { APIGatewayProxyEventHeaders } from 'aws-lambda';
export declare function getIp(req: IncomingMessage): string;
export declare function getQuery(req: IncomingMessage): {
    rawPath: string;
    rawQueryString: string;
    queryParams: {};
};
export declare function getCookies(req: IncomingMessage): string[] | (string & any[]);
export declare function getHeaders(req: IncomingMessage): APIGatewayProxyEventHeaders;
export declare function getHeader(req: IncomingMessage, key: string): string;
export declare function getBody(req: IncomingMessage): Promise<string>;
export declare function setResponse(res: ServerResponse, result: any): void;
